Ticket #33701

進捗確認用のレポートに対象チケットが表示されない

Open Date: 2014-04-23 11:33 Last Update: 2014-05-07 11:28

Reporter:
(Anonymous)
Owner:
Type:
Status:
Open [Owner assigned]
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None

Details

進捗確認用のレポート({9} 未解決チケット(進捗確認用) ) において、以下の説明通りのチケットが表示されません。

  • 担当者別に未解決チケットを表示します。
  • 終了日順に表示し、終了日を過ぎたものは、赤で、終了日が1週間以内のものは黄色で表示します。
  • チケットに着手済みであれば、達成率に '*' が付与されます。
  • 終了日が設定されていないものについては、青で表示します。

クエリを以下の内容に変更すると、説明通りの表示となりました。

SELECT owner AS __group__,
   id AS ticket,
   summary as '概要    ',
   a.value as '開始日',
   c.value as '終了日',
   (CASE status WHEN 'accepted' THEN d.value||' *' ELSE d.value END) AS '達成率',
   t.type AS 'タイプ ', 
   t.priority as '優先度',
   changetime AS _changetime, description AS _description,
   reporter AS _reporter,
   (CASE  WHEN c.value ='' THEN 5
          WHEN c.value < strftime('%Y/%m/%d','now') THEN 1
          WHEN c.value < strftime('%Y/%m/%d','now', '7 day') THEN 2
          ELSE 3 END) AS __color__
  FROM ticket t
  LEFT JOIN enum p ON p.name = t.priority AND p.type = 'priority'
  LEFT JOIN ticket_custom a ON a.ticket = t.id AND a.name = 'due_assign' 
  LEFT JOIN ticket_custom c ON c.ticket = t.id AND c.name = 'due_close' 
  LEFT JOIN ticket_custom d ON d.ticket = t.id AND d.name = 'complete'
  WHERE status IN ('new', 'assigned', 'accepted', 'reopened') 
  ORDER BY owner, c.value, p.value, milestone, t.type, time

Attachment File List

No attachments

Ticket History (3/5 Histories)

2014-04-23 11:33 Updated by: None
  • New Ticket "進捗確認用のレポートに対象チケットが表示されない" created
2014-04-23 11:52 Updated by: jun66j5
Comment

変更点の概要がよくわからないのですが assignedaccepted に変えた、ということでしょうか?

2014-05-07 11:13 Updated by: None
Comment

失礼しました。 変更点は下記の通りで、概要としては assigned,accepted の指定箇所とソート順を、 説明通りに変更した形になります。

--- report9_old.txt	Wed May 07 11:03:27 2014
+++ report9_new.txt	Wed May 07 11:02:34 2014
@@ -3,7 +3,7 @@
    summary as '概要    ',
    a.value as '開始日',
    c.value as '終了日',
-   (CASE status WHEN 'assigned' THEN d.value||' *' ELSE d.value END) AS '達成率',
+   (CASE status WHEN 'accepted' THEN d.value||' *' ELSE d.value END) AS '達成率',
    t.type AS 'タイプ ', 
    t.priority as '優先度',
    changetime AS _changetime, description AS _description,
@@ -17,5 +17,5 @@
   LEFT JOIN ticket_custom a ON a.ticket = t.id AND a.name = 'due_assign' 
   LEFT JOIN ticket_custom c ON c.ticket = t.id AND c.name = 'due_close' 
   LEFT JOIN ticket_custom d ON d.ticket = t.id AND d.name = 'complete'
-  WHERE status IN ('new', 'assigned', 'reopened') 
-  ORDER BY owner, a.value, p.value, milestone, t.type, time
+  WHERE status IN ('new', 'assigned', 'accepted', 'reopened') 
+  ORDER BY owner, c.value, p.value, milestone, t.type, time

2014-05-07 11:28 Updated by: jun66j5
  • Owner Update from (None) to jun66j5
Comment

お返事ありがとうございます。

acceptedassigned も同じようなニュアンスで使われているので以下のようにしたほうがよさそうです。

-   (CASE status WHEN 'assigned' THEN d.value||' *' ELSE d.value END) AS '達成率',
+   (CASE WHEN status IN ('accepted', 'assigned')
+         THEN d.value||' *'
+         ELSE d.value
+         END) AS '達成率',

それと、このレポートはプロジェクト作成時に追加で作られるので C:\TracLight\etc\opt\kanon\trac-template\default\trac-init.sql の最後にある INSERT INTO report VALUES ('9', ...) の部分も同じように修正したほうがよいと思います。

2014-05-12 17:12 Updated by: None
Comment

ご確認ありがとうございます。

ご指摘の2点につきまして、了解いたしました。

Edit

Please login to add comment to this ticket » Login